Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.xml.dom
Class DOMUtils

    java.lang.Object
      com.dbxml.xml.dom.DOMUtils

public final class DOMUtils
extends java.lang.Object

DOMUtils provides some common DOM utility methods, typically used by XMLSerializable implementations.

Method Summary
`static org.w3c.dom.Element` | `addElement(org.w3c.dom.Element rootElem, java.lang.String name)`
`static void` | `elementsToList(org.w3c.dom.Element elem, java.lang.String name, java.util.List l)`
`static void` | `elementsToSet(org.w3c.dom.Element elem, java.lang.String name, java.util.Set s)`
`static org.w3c.dom.Element` | `getElement(org.w3c.dom.Element elem, java.lang.String name)`
`static java.lang.String` | `getElementText(org.w3c.dom.Element elem, java.lang.String name)`
`static java.lang.String` | `getText(org.w3c.dom.Element elem)`
`static void` | `importNamespaces(org.w3c.dom.Element context)`
`static void` | `iteratorToElements(org.w3c.dom.Element rootElem, java.lang.String name, java.util.Iterator iter)`
`static void` | `listToElements(org.w3c.dom.Element rootElem, java.lang.String name, java.util.List l)`
`static void` | `setText(org.w3c.dom.Element elem, java.lang.String value)`
`static void` | `setToElements(org.w3c.dom.Element rootElem, java.lang.String name, java.util.Set s)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addElement

    public static org.w3c.dom.Element addElement(org.w3c.dom.Element rootElem,
                                                 java.lang.String name)

### setText

    public static void setText(org.w3c.dom.Element elem,
                               java.lang.String value)

### iteratorToElements

    public static void iteratorToElements(org.w3c.dom.Element rootElem,
                                          java.lang.String name,
                                          java.util.Iterator iter)

### listToElements

    public static void listToElements(org.w3c.dom.Element rootElem,
                                      java.lang.String name,
                                      java.util.List l)

### setToElements

    public static void setToElements(org.w3c.dom.Element rootElem,
                                     java.lang.String name,
                                     java.util.Set s)

### getElement

    public static org.w3c.dom.Element getElement(org.w3c.dom.Element elem,
                                                 java.lang.String name)

### getElementText

    public static java.lang.String getElementText(org.w3c.dom.Element elem,
                                                  java.lang.String name)

### getText

    public static java.lang.String getText(org.w3c.dom.Element elem)

### elementsToList

    public static void elementsToList(org.w3c.dom.Element elem,
                                      java.lang.String name,
                                      java.util.List l)

### elementsToSet

    public static void elementsToSet(org.w3c.dom.Element elem,
                                     java.lang.String name,
                                     java.util.Set s)

### importNamespaces

    public static void importNamespaces(org.w3c.dom.Element context)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group